Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 73960 - Alt+Tab has unexpected side-effect (alt remains active)
Alt+Tab has unexpected side-effect (alt remains active)
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
5.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
jdk_bug_6458497
:
: 91822 92814 120242 121605 122063 123592 124084 128269 133068 139983 144561 147532 147901 151179 153142 157496 176606 212137 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 14:40 UTC by chethaase
Modified: 2012-05-07 11:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chethaase 2006-03-24 14:40:39 UTC
The Alt+Tab key sequence on Windows is the common power-user method of 
switching between application windows.  I use this frequently, especially when 
running with an IDE like NetBeans; you run the application from within the IDE 
and Alt+tab back and forth to check what the app is doing compared to what the 
code is telling it to do.

Alt+Tab basically works on Netbeans, but typically the "Alt" key modifier is 
left active in Netbeans.  This means when you come back to NetBeans and try to 
do anything (like type some code) the IDE will interpret the keys you enter as 
Alt commands.  (You can see that the Alt key is still active when the "File" 
menu is selected, even though you have not selected it; hitting "Alt" alone in 
the IDE will do this same selection).

This is at the very least an annoyance, as the keys you enter go largely 
ignored until you realize the problem and hit Esc or click in the window to 
make the Alt state go away.  But depending on what keys you type, you may get 
some very undesirable result when some Alt command occurs that you did not 
expect or want.

Also, this is very non-native behavior; no other Windows native app has the 
problem of continuing to track the Alt key state even when that app is 
inactive.
Comment 1 David Simonek 2006-09-18 14:15:52 UTC
Unfortunately this is known JDK bug, nothing we can do on Netbeans side.
See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6458497

Appearance of this bug relates to the time and the way how Alt+Tab is pressed.
When you press it slowly and first the Alt, then the Tab, release Tab, release
Alt, error is more reproductible.
Comment 2 David Simonek 2006-09-18 14:17:09 UTC
wontfix
Comment 3 David Simonek 2007-01-04 15:17:04 UTC
*** Issue 91822 has been marked as a duplicate of this issue. ***
Comment 4 _ gtzabari 2007-01-04 15:29:28 UTC
It isn't clear from the BugParade report when this issue began. Was it always
there or is it something new to Java6?
Comment 5 David Simonek 2007-01-04 15:39:08 UTC
I believe it was there for 1.4.x, the fixed in 1.5.0_02 and regressed again in
1.6. From bugparade it seems that issue is fixed again in 1.6.0 update 1.
Comment 6 David Simonek 2007-01-19 11:26:41 UTC
*** Issue 92814 has been marked as a duplicate of this issue. ***
Comment 7 David Simonek 2007-10-29 09:20:12 UTC
*** Issue 120242 has been marked as a duplicate of this issue. ***
Comment 8 Jana Maleckova 2007-11-16 09:18:45 UTC
*** Issue 122063 has been marked as a duplicate of this issue. ***
Comment 9 Jiri Prox 2007-12-07 09:21:57 UTC
*** Issue 123592 has been marked as a duplicate of this issue. ***
Comment 10 David Simonek 2008-01-02 13:13:30 UTC
*** Issue 124084 has been marked as a duplicate of this issue. ***
Comment 11 David Simonek 2008-02-27 16:47:23 UTC
*** Issue 128269 has been marked as a duplicate of this issue. ***
Comment 12 David Simonek 2008-04-23 08:36:24 UTC
*** Issue 133068 has been marked as a duplicate of this issue. ***
Comment 13 Lukas Hasik 2008-08-22 12:46:23 UTC
*** Issue 139983 has been marked as a duplicate of this issue. ***
Comment 14 David Simonek 2008-08-25 15:39:54 UTC
*** Issue 144561 has been marked as a duplicate of this issue. ***
Comment 15 Lukas Hasik 2008-09-17 23:12:06 UTC
*** Issue 147532 has been marked as a duplicate of this issue. ***
Comment 16 Lukas Hasik 2008-09-23 13:16:12 UTC
*** Issue 147901 has been marked as a duplicate of this issue. ***
Comment 17 Lukas Hasik 2008-10-09 14:34:55 UTC
*** Issue 121605 has been marked as a duplicate of this issue. ***
Comment 18 Jana Maleckova 2008-10-23 19:57:07 UTC
*** Issue 151179 has been marked as a duplicate of this issue. ***
Comment 19 Lukas Hasik 2008-11-13 13:59:48 UTC
*** Issue 153142 has been marked as a duplicate of this issue. ***
Comment 20 kolen 2008-11-13 14:06:31 UTC
Something strange with Bugzilla search, this bug was not appearing in search by queries 'alt tab', 'alt-tab' and 'alt+tab'.
Comment 21 Jiri Prox 2009-01-27 16:39:22 UTC
*** Issue 157496 has been marked as a duplicate of this issue. ***
Comment 22 Jiri Prox 2009-11-12 02:42:50 UTC
*** Bug 176606 has been marked as a duplicate of this bug. ***
Comment 23 Jiri Prox 2012-05-07 11:01:41 UTC
*** Bug 212137 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo